For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as The Parent of Current Company
              • GETList Company Hierarchy
            • Companies
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyAccount Hierarchies

List Company Subsidiaries

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/subsidiaries
GET
/api/v3/io/companies/:companyId/subsidiaries
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/subsidiaries \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d offset=3 \
> -d limit=10
1{
2 "data": [
3 {
4 "companyId": 789012,
5 "companyName": "Tech Innovators LLC",
6 "companyStatus": 1
7 },
8 {
9 "companyId": 789013,
10 "companyName": "Green Solutions Ltd.",
11 "companyStatus": 1
12 }
13 ],
14 "meta": {
15 "message": "SUCCESS",
16 "pagination": {
17 "totalCount": 2,
18 "limit": 10,
19 "offset": 0
20 }
21 }
22}
Returns all subsidiary accounts on lower hierarchy layers, based on the Company account specified.
Was this page helpful?
Previous

Company Management

Next

Delete Company Subsidiary

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Query parameters

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

Response

OK The `subsidiaries` array in the response includes nested `subsidiaries` arrays if a child account has its own subsidiaries. The array also includes nested `subsidiaries` arrays for each Company with its own subsidiaries. For example, if the Company in question is above 2 layers of Account Hierarchy, its direct subsidiaries will also include `subsidiaries` arrays for their child accounts.
datalist of objects
metaobject

Errors

404
Not Found Error
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

OK

The subsidiaries array in the response includes nested subsidiaries arrays if a child account has its own subsidiaries.

The array also includes nested subsidiaries arrays for each Company with its own subsidiaries. For example, if the Company in question is above 2 layers of Account Hierarchy, its direct subsidiaries will also include subsidiaries arrays for their child accounts.